Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 666054 - sci-geosciences/mapserver: Validate DEPEND on virtual/mysql
Summary: sci-geosciences/mapserver: Validate DEPEND on virtual/mysql
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Sci-geo Project
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: 763480
  Show dependency tree
 
Reported: 2018-09-12 17:36 UTC by Brian Evans
Modified: 2021-01-04 02:27 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:36:29 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Larry the Git Cow gentoo-dev 2020-07-09 00:32:48 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=18c6a60dd2029db1fde5b5078d2647dc4daf1d55

commit 18c6a60dd2029db1fde5b5078d2647dc4daf1d55
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2020-07-06 11:25:39 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2020-07-09 00:32:26 +0000

    sci-geosciences/mapserver: security bump to 7.6.0
    
    Changes:
    * Bump to 7.6.0
    * Add PHP 7.x support, new module w/ multiple builds
    * Add Python 3.x, multiple builds
    * Drop old Proj compatibility workaround
    * Tidy up plenty of dependencies
    * Use sub-slot operator where appropriate
    * Use php-ext-source-r3's functions to simplify ebuild
    * Modernise as much as possible, bar EAPI 7 because
      of depend.apache.
    
    Bug: https://bugs.gentoo.org/688290
    Closes: https://bugs.gentoo.org/649772
    Closes: https://bugs.gentoo.org/659260
    Closes: https://bugs.gentoo.org/666054
    Closes: https://bugs.gentoo.org/729100
    Package-Manager: Portage-2.3.103, Repoman-2.3.22
    Signed-off-by: Sam James <sam@gentoo.org>

 sci-geosciences/mapserver/Manifest               |   1 +
 sci-geosciences/mapserver/mapserver-7.6.0.ebuild | 289 +++++++++++++++++++++++
 sci-geosciences/mapserver/metadata.xml           |   6 +-
 3 files changed, 293 insertions(+), 3 deletions(-)